patch sécurité VirtueMart

Réduire
X
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • [Problème] patch sécurité VirtueMart

    Bonjour

    J'ai reçu un email de VirtueMart au sujet d'une vulnérabilité :

    Security Issues in VirtueMart

    Posted: 03 Feb 2010 01:32 AM PST

    WarningLast week there have been reports that VirtueMart <= 1.1.4 and VirtueMart <= 1.0.15 are vulnerable to SQL injections. After a short investigation the VirtueMart Development Team confirmed that the reported vulnerabilities exist and Rick has released a patch for both series of VirtueMart (1.1 and 1.0).

    The vulnerability in VirtueMart 1.1 can only be exploited by users with store admin/admin permissions. The vulnerability in VirtueMart 1.0 can be exploited by unregistered users, so you are urged to apply the fix as soon as possible to prevent data leakage or manipulation. Please note that VirtueMart 1.0 is not officially supported anymore.

    * Security Fix for VirtueMart <= 1.1.4.zip (7.69 KB)
    * Security Fix for VirtueMart <= 1.0.15.zip (7.53 KB)

    To apply the fix, just extract the contents of the ZIP archive into your Joomla! root folder.


    Pour être certain de ne pas faire d'erreur, il suffit juste de remplacer le fichier "administrator" existant par celui du patch ?

    Merci d'avance

  • #2
    Oui par FTP.
    EN fait tu as 2 fichiers à remplacer Shop.product_details et order_order shop.
    Ces 2 fichiers se trouves dans admin/component/com_virtuemart/html/..

    Le lien de virtuemart est ici pour ceux qui veulent voir :

    http://virtuemart.net/news


    Attention, beaucoup ont modifié le fichier shop.product_details.php, alors avant de tout changer d'un coup, vérifié les lignes que vous avez rajouté pour vos hacks
    Dernière édition par selige à 04/02/2010, 06h34 Raison: INFOS importantes
    Création, personnalisation, synchronisation de gestion commerciale selige.fr:http://www.selige.fr
    "Avant de critiquer un produit gratuit, pense à ce que tu aurais pu dire si tu l'avais payé"

    Commentaire


    • #3
      OK Merci

      Commentaire


      • #4
        Bonjour

        Il semblerait que pour la version 1.1.X de virtuemart la vulnérabilité est minime, cela concerne une faille ci le vilain hackeur a un statut :
        users with store admin/admin
        A part une grosse structure e-commerce avec une multitude d'intervenants sur le site en admin/admin, je ne vois pas l'utilité de mettre le patch.

        Bien sûr cela concerne seulement la version 1.1.X de virtuemart pour 1.0.X là, oui faut le faire.

        Mais bon ce n'est que mon avis.

        @+
        SVP pas de MP pour de l'aide, le forum est l’outil idéal

        Commentaire


        • #5
          Ben Lionel, oui et non.

          Il y a un post je crois qui a un ou 2 jours sur la possibilité d'avoir l acces virtuemart rien qu en front.

          En plus, a force de regarder les logs et les attaques, depuis quelques temps sur certains sites avec VM on a une tentative d insertion sur order_order shop en plus d export.php..
          Création, personnalisation, synchronisation de gestion commerciale selige.fr:http://www.selige.fr
          "Avant de critiquer un produit gratuit, pense à ce que tu aurais pu dire si tu l'avais payé"

          Commentaire


          • #6
            Ah!

            Bien merci.

            Bon alors il ne faut pas prendre de risque, tu as raison.

            Il vaut mieux soigner virtuemart de suite!

            Je m'y colle de suite ça rime

            @+
            SVP pas de MP pour de l'aide, le forum est l’outil idéal

            Commentaire


            • #7
              Et pour
              export.php..
              Tu as quoi comme info dessus?
              Vu que dans le patch il y a que pour order. et shop.product.

              @+
              SVP pas de MP pour de l'aide, le forum est l’outil idéal

              Commentaire


              • #8
                Trop dans la merde....
                www.saishopweb.com
                on se demande s'il n'y a pas eu une attaque accès boutique et enregistrement client nouveaux comme anciens impossible....
                C'est trop dur...

                Commentaire


                • #9
                  Ah...A en croire ton post, tu as des soucis.

                  Si tu postes ici ...est ce que tu as eu un soucis apres avoir changé les 2 fichiers ?

                  Si oui, regardes si tu as changé autre chose .(module, hack....)
                  Regardes ensuite tes logs
                  As tu un htaccess, as tu sentinnelle, crawltrack.... ?
                  Dis nous les modules et composants que tu utilises et quelles sont les versions



                  Si non...Je te conseil d ouvrir un nouveau post par rapport a ton soucis avec en mention peut être hacké.
                  Dernière édition par selige à 23/03/2010, 13h30
                  Création, personnalisation, synchronisation de gestion commerciale selige.fr:http://www.selige.fr
                  "Avant de critiquer un produit gratuit, pense à ce que tu aurais pu dire si tu l'avais payé"

                  Commentaire


                  • #10
                    Bon, avant d'ouvrir un nouveau post je dois apporter ces precisions :
                    Joomla 1.5.15
                    Virtuemart 1.1.4

                    Je n'ai pas jsecure et quand je vois les problemes que ca pose je me dis que pour l'iinstant je m'abstiens.

                    Le site est une boutique avec une vitrine et des liste d'articles à vendre...

                    Nous travaillons avec des belges pour le developpement du site mais nous n'avons aucuen visibilité sur ce qu'ils font...

                    Apparemment le site aurait été hacké ce week end et du coup on ne peut pas créer de nouvel utilisateurs ni acceder aux produits... C'est très mystérieux parce que je ne vois pas comment le site à pu etre hacké... Quelqu'un sait si ça peut se voir ou pas ?

                    je suis tout novice dans ces sujets et ce site représente pour nous déjà plus de cinq mois de boulot de folie... Au moment ou cela doit marcher ca plante et je ne sais pas pourquoi...

                    Le probleme que nous avons demandé aux belges c'est de faire en sorte que la boutique s'affice seule passé la frintpage, pour cela ils ont utilisé metamod qui n'a fait que semer la merde jusqu'au week end dernier ou tout est en rideau... c'est un vrai desepoir qui s'empare de nous...

                    Commentaire


                    • #11
                      ah oui, j'ai un htaccess, mais le code c'est pas mon fort et quand je vois ceci :

                      http://www.kanjian.fr/virtuemart-fai...l-actu-21.html

                      je me dis que peut être avec les trois accès admin dont dispose les belges cela a peut être foutu la merde , je ne sais pas j'ai juste envie de me pendre

                      Commentaire


                      • #12
                        C est ce que je disais :

                        Ouvre un autre post en expliquant ce que tu viens d ecrire.
                        Mets en visu TOUTS les composants et modules utilisés.
                        Si tu n as pas la main sur le site...là..on pourra pas vraiment t aider!
                        Si tu as acces aux log, c est deja une chose. Je verifierai dejà.
                        Ensuite, savoir si un /plusieurs fichiers ont été modifiés, voir créés ce wekk end ( a comparer avec les logs)


                        Ce dont tu fais allusion c'est la raison principale de ce post..la mise à jour de VM.
                        Maintenant ça n'explique pas la(possibilité) d'avoir été hacké.
                        Ouvre un nouveau post
                        Dernière édition par selige à 23/03/2010, 14h47 Raison: ...
                        Création, personnalisation, synchronisation de gestion commerciale selige.fr:http://www.selige.fr
                        "Avant de critiquer un produit gratuit, pense à ce que tu aurais pu dire si tu l'avais payé"

                        Commentaire

                        Annonce

                        Réduire
                        1 sur 2 < >

                        C'est [Réglé] et on n'en parle plus ?

                        A quoi ça sert ?
                        La mention [Réglé] permet aux visiteurs d'identifier rapidement les messages qui ont trouvé une solution.

                        Merci donc d'utiliser cette fonctionnalité afin de faciliter la navigation et la recherche d'informations de tous sur le forum.

                        Si vous deviez oublier de porter cette mention, nous nous permettrons de le faire à votre place... mais seulement une fois
                        Comment ajouter la mention [Réglé] à votre discussion ?
                        1 - Aller sur votre discussion et éditer votre premier message :


                        2 - Cliquer sur la liste déroulante Préfixe.

                        3 - Choisir le préfixe [Réglé].


                        4 - Et voilà… votre discussion est désormais identifiée comme réglée.

                        2 sur 2 < >

                        Assistance au forum - Outil de publication d'infos de votre site

                        Compatibilité: PHP 4.1,PHP4, 5, 6DEV MySQL 3.2 - 5.5 MySQLi from 4.1 ( @ >=PHP 4.4.9)

                        Support Version de Joomla! : | J!3.0 | J!2.5.xx | J!1.7.xx | J!1.6.xx | J1.5.xx | J!1.0.xx |

                        Version française (FR) D'autres versions sont disponibles depuis la version originale de FPA

                        UTILISER À VOS PROPRES RISQUES :
                        L'exactitude et l'exhaustivité de ce script ainsi que la documentation ne sont pas garanties et aucune responsabilité ne sera acceptée pour tout dommage, questions ou confusion provoquée par l'utilisation de ce script.

                        Problèmes connus :
                        FPA n'est actuellement pas compatible avec des sites Joomla qui ont eu leur fichier configuration.php déplacé en dehors du répertoire public_html.

                        Installation :

                        1. Téléchargez l'archive souhaitée : http://afuj.github.io/FPA/

                        Archive zip : https://github.com/AFUJ/FPA/zipball/master

                        2. Décompressez le fichier de package téléchargé sur votre propre ordinateur (à l'aide de WinZip ou d'un outil de décompression natif).

                        3. Lisez le fichier LISEZMOI inclus pour toutes les notes de versions spécifiques.

                        4. LIRE le fichier de documentation inclus pour obtenir des instructions d'utilisation détaillées.

                        5. Téléchargez le script fpa-fr.php à la racine de votre site Joomla!. C'est l'endroit que vous avez installé Joomla et ce n'est pas la racine principale de votre serveur. Voir les exemples ci-dessous.

                        6. Exécutez le script via votre navigateur en tapant: http:// www. votresite .com/ fpa-fr.php
                        et remplacer www. votresite .com par votre nom de domaine


                        Exemples:
                        Joomla! est installé dans votre répertoire web et vous avez installé la version française du fichier FPA:
                        Télécharger le script fpa-fr.php dans: /public_html/
                        Pour executer le script: http://www..com/fpa-fr.php

                        Joomla! est installé dans un sous-répertoire nommé "cms" et vous avez installé la version française du fichier FPA:
                        Télécharger le script fpa-fr.php dans: /public_html/cms/
                        Pour executer le script: http://www..com/cms/fpa-fr.php

                        En raison de la nature très sensible de l'information affichée par le script FPA, il doit être retiré immédiatement du serveur après son utilisation.

                        Pour supprimer le script de votre site, utilisez le lien de script de suppression fourni en haut de la page du script. Si le lien de suppression échoue pour supprimer le script, utilisez votre programme FTP pour le supprimer manuellement ou changer le nom une fois que le script a généré les données du site et le message publié sur le forum. Si le script est toujours présent sur le site, il peut être utilisé pour recueillir suffisamment d'informations pour pirater votre site. Le retrait du script empêche des étrangers de l'utiliser pour jeter un oeil à la façon dont votre site est structuré et de détecter les défauts qui peuvent être utilisé à vos dépends.
                        Voir plus
                        Voir moins
                        Travaille ...
                        X